NixOS packages for personal use.

## Included packages

- [adb-sync] : Fork of [Google's adb-sync] with bugfixes for busybox users and the pull times feature
- [adbtuifm] : TUI based file manager for ADB
- [adx] : Rust tool to poll Google Maven for AndroidX packages and their latest versions
- [boop-gtk] : A scriptable scratchpad for developers
- [clipboard-substitutor] : Rust CLI to listen to clipboard events and perform operations on the copied text
- [diffuse] : Java tool to diff between APKs, AARs and JARs
- [gdrive] : Golang CLI to interact with Google Drive
- [gitice] : Simple Rust CLI that snapshots the state of Git repositories to allow re-cloning in a separate location
- [gitout] : Command line tool to automatically backup Git repositories from GitHub or anywhere
- [glance] :  A self-hosted dashboard that puts all your feeds in one place
- [gphotos-cdp] : Use the Chrome DevTools Protocol to drive a Chrome session that downloads your photos stored in Google Photos.
- [hcctl]: CLI to look up the status of checks on https://healthchecks.io
- [healthchecks-monitor]: CLI tool to run commands and report its result to https://healthchecks.io
- [katbin] : A CLI for [katb.in]
- [linkleaner] : Telegram bot to fix social media link previews
- [monocraft-nerdfonts] : A monospaced programming font inspired by the Minecraft typeface
- [nix-inspect] : Interactive tui for inspecting nix configs
- [patreon-dl] : Download content from creators you're subscribed to on Patreon
- [pidcat] : Fork of [JakeWharton's pidcat] with Python3 support and some other fixes
- [piv-agent] : An SSH and GPG agent which you can use with your PIV hardware security device (e.g. a Yubikey).
- [rnnoise-plugin-slim] : Noise suppression plugin based on Xiph's RNNoise, forked to slim down its closure size
- [rucksack] : Simple CLI tool to watch directories and move their files to a single dumping ground
- [tea] : Gitea CLI built from latest sources
- [toml-cli] : Simple CLI for editing and querying TOML files
- [twt] : Multipurpose tool to extract metadata from a user's tweets
- [when] : A CLI tool to deal with timezones

[adb-sync]: https://msfjarvis.dev/g/adb-sync
[adbtuifm]: https://github.com/darkhz/adbtuifm
[adx]: https://msfjarvis.dev/g/androidx-release-watcher
[boop-gtk]: https://msfjarvis.dev/g/boop-gtk
[clipboard-substitutor]: https://msfjarvis.dev/g/clipboard-substitutor
[diffuse]: https://github.com/JakeWharton/diffuse
[gdrive]: https://msfjarvis.dev/g/gdrive
[gitice]: https://msfjarvis.dev/g/gitice
[gitout]: https://msfjarvis.dev/g/gitout
[glance]: https://github.com/glanceapp/glance
[google's adb-sync]: https://github.com/google/adb-sync
[gphotos-cdp]: https://msfjarvis.dev/g/gphotos-cdp
[hcctl]: https://msfjarvis.dev/g/healthchecks-rs
[healthchecks-monitor]: https://msfjarvis.dev/g/healthchecks-rs
[jakewharton's pidcat]: https://github.com/JakeWharton/pidcat
[katb.in]: https://katb.in
[katbin]: https://github.com/SphericalKat/katbin-cli
[linkleaner]: https://msfjarvis.dev/g/linkleaner
[monocraft-nerdfonts]: https://github.com/IdreesInc/Monocraft
[nix-inspect]: https://github.com/bluskript/nix-inspect
[patreon-dl]: https://github.com/PrivateGER/patreon-dl
[pidcat]: https://msfjarvis.dev/g/pidcat
[piv-agent]: https://github.com/smlx/piv-agent
[rnnoise-plugin-slim]: https://github.com/werman/noise-suppression-for-voice
[rucksack]: https://msfjarvis.dev/g/rucksack
[tea]: https://gitea.com/gitea/tea
[toml-cli]: https://github.com/gnprice/toml-cli
[twt]: https://msfjarvis.dev/g/twt
[when]: https://github.com/mitsuhiko/when
